var LiveShot = require('../../../index');

var width = 300;
var height = 400;
var pixelRatio = window.devicePixelRatio || 1;

var canvas = document.createElement('canvas');
canvas.width = width*pixelRatio;
canvas.height = height*pixelRatio;
canvas.style.width = width + 'px';
canvas.style.height = height + 'px';

document.body.appendChild(canvas);

var ctx = canvas.getContext('2d');
var rect = {x:0, y:0, width:width*pixelRatio, height:height*pixelRatio};

var builder = new LiveShot.CardBuilder()
    .setLane('1')
    .setName('Martin Vonheim Larsen')
    .setClub('Rygge')
    .setClassName('4')
    .setCategory('A')
    .setTargetID('NO_DFS_15M')
    .setGaugeSize('0.0695')
    .setSeriesName('Ligg');

var r = Math.random();
var value = Math.floor(Math.random() * 100)/10;
var seriesSum = Math.floor(Math.random()*100);
var totalSum = Math.floor(2.5*seriesSum);

builder.resetShots()
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .addShotData(Math.random()*r - .1, Math.random()*r - .1, value)
    .setSeriesSum(seriesSum)
    .setTotalSum(totalSum);

var renderer = new LiveShot.MegalinkCardRenderer()
    .setContext(ctx)
    .setRect(rect)
    .setCard(builder.getCard())
    .render();
